Loading...
Searching...
No Matches
BALL::PeptideCapProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

This processor adds ACE-N and NME-C caps to proteins. More...

`#include <BALL/STRUCTURE/peptideCapProcessor.h>`

Inheritance diagram for BALL::PeptideCapProcessor:

## Public Member Functions

Constructors
| PeptideCapProcessor ()
| Default constructor.
Public Member Functions inherited from BALL::UnaryProcessor< Chain >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Processor-related methods

virtual Processor::Result | operator() (Chain &chain)
| ()-operator
float | computeDistance (std::vector< Atom * > &a, std::vector< Atom * > &b)
void | optimizeCapPosition (Chain &chain, bool start)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

This processor adds ACE-N and NME-C caps to proteins.

Processor for adding caps to proteins

Definition at line 42 of file peptideCapProcessor.h.

## Constructor & Destructor Documentation

## PeptideCapProcessor()

BALL::PeptideCapProcessor::PeptideCapProcessor | ( |  | ) |

Default constructor.

## Member Function Documentation

## computeDistance()

float BALL::PeptideCapProcessor::computeDistance | ( | std::vector< Atom * > & | a,
|  | std::vector< Atom * > & | b )

protected

## operator()()

virtual Processor::Result BALL::PeptideCapProcessor::operator() | ( | Chain & | chain | ) |

virtual

()-operator

Reimplemented from BALL::UnaryProcessor< Chain >.

## optimizeCapPosition()

void BALL::PeptideCapProcessor::optimizeCapPosition | ( | Chain & | chain,
|  | bool | start )

protected